
Infrastructure - Task #870

Story # 942 (Closed): GMN REST interface spec compliance

Add support for slicing log records

2010-09-20 15:52 - Roger Dahl

Status: Closed Start date: 2010-10-07

Priority: High Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2010.40   

Milestone:  Story Points:  

Product Version: *   

Description

Add support for slicing when retrieving the /log/ collection, using start/count/total values like those in /object/. The arch docs specify,

"The /log collection supports the same optional parameters as the /object collection."

Components: GMN, DataONEClient, SimpleDataONEClient, DataONECLI

History

#1 - 2010-10-06 22:02 - Roger Dahl

- Parent task set to #942

#2 - 2010-10-07 12:36 - Dave Vieglais

- Tracker changed from Bug to Task

- Start date set to 2010-10-07

#3 - 2010-10-08 16:41 - Roger Dahl

- Status changed from New to In Progress

#4 - 2010-10-11 16:28 - Roger Dahl

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
https://redmine.dataone.org/projects/d1/wiki/DataONEClient
https://redmine.dataone.org/projects/d1/wiki/SimpleDataONEClient
https://redmine.dataone.org/projects/d1/wiki/DataONECLI
